<html>
<head>
<title>OGRE: OgreILImageCodec.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_2ff5b5fbc695dec6c750a718c789bf4d.html">Attic</a></div>
<h1>Attic/OgreILImageCodec.h</h1><a href="Attic_2OgreILImageCodec_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef _ILImageCodec_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define _ILImageCodec_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgreImageCodec_8h.html">OgreImageCodec.h</a>"</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 
<a name="l00041"></a><a class="code" href="classOgre_1_1ILImageCodec.html">00041</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ILImageCodec.html" title="Codec specialized in images loaded using DevIL.">ILImageCodec</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ImageCodec.html" title="Codec specialized in images.">ImageCodec</a>
<a name="l00042"></a>00042     {
<a name="l00043"></a>00043     <span class="keyword">private</span>:
<a name="l00044"></a><a class="code" href="classOgre_1_1ILImageCodec.html#c60067b8e33c5f25518ce2bdaabb52db">00044</a>         <span class="keyword">static</span> <span class="keywordtype">bool</span> _is_initialised;
<a name="l00045"></a><a class="code" href="classOgre_1_1ILImageCodec.html#626860ed0d1c9c2affcb556fa4dd7d85">00045</a>         <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mType;
<a name="l00046"></a><a class="code" href="classOgre_1_1ILImageCodec.html#cd4b11129d0b936e21aaf2e82183aae6">00046</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> mIlType;
<a name="l00047"></a>00047 
<a name="l00048"></a>00048     <span class="keyword">public</span>:
<a name="l00049"></a>00049         <a class="code" href="classOgre_1_1ILImageCodec.html" title="Codec specialized in images loaded using DevIL.">ILImageCodec</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;type, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ilType);
<a name="l00050"></a><a class="code" href="classOgre_1_1ILImageCodec.html#19e1f67e7aeecba2bce01f76d21fa3b9">00050</a>         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1ILImageCodec.html" title="Codec specialized in images loaded using DevIL.">ILImageCodec</a>() { }
<a name="l00051"></a>00051 
<a name="l00053"></a>00053         <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">DataStreamPtr</a> code(<a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">MemoryDataStreamPtr</a>&amp; input, CodecDataPtr&amp; pData) <span class="keyword">const</span>;
<a name="l00055"></a>00055         <span class="keywordtype">void</span> codeToFile(<a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">MemoryDataStreamPtr</a>&amp; input, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; outFileName, CodecDataPtr&amp; pData) <span class="keyword">const</span>;
<a name="l00057"></a>00057         DecodeResult decode(<a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">DataStreamPtr</a>&amp; input) <span class="keyword">const</span>;
<a name="l00058"></a>00058 
<a name="l00060"></a>00060         <span class="keywordtype">void</span> initialiseIL(<span class="keywordtype">void</span>);
<a name="l00061"></a>00061         
<a name="l00062"></a>00062         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getType() <span class="keyword">const</span>;        
<a name="l00063"></a>00063     };
<a name="l00064"></a>00064 
<a name="l00065"></a>00065 } <span class="comment">// namespace</span>
<a name="l00066"></a>00066 
<a name="l00067"></a>00067 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:51 2008
</p>
</body>
</html>
